blob: b1ad38911aa5b455e01570dd5d051337f89545ce [file] [log] [blame]
danielhanrahanc0b6f3a2024-04-29 16:16:42 +01001#!/bin/bash
2#
3# Copyright 2024 Nordix Foundation.
4#
5# Licensed under the Apache License, Version 2.0 (the "License");
6# you may not use this file except in compliance with the License.
7# You may obtain a copy of the License at
8#
9# http://www.apache.org/licenses/LICENSE-2.0
10#
11# Unless required by applicable law or agreed to in writing, software
12# distributed under the License is distributed on an "AS IS" BASIS,
13# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14# See the License for the specific language governing permissions and
15# limitations under the License.
16#
17
18set -o errexit # Exit on most errors
19set -o nounset # Disallow expansion of unset variables
20set -o pipefail # Use last non-zero exit code in a pipeline
21#set -o xtrace # Uncomment for debugging
22
23on_exit() {
24 rc=$?
25 ./teardown.sh
26 popd
27 echo "TEST FAILURES: $rc"
28 exit $rc
29}
30trap on_exit EXIT
31
32pushd "$(dirname "$0")" || exit 1
33
danielhanrahan02da03e2024-08-23 17:41:05 +010034# Install needed dependencies.
35source install-deps.sh
36
37# Run k6 test suite.
danielhanrahanc0b6f3a2024-04-29 16:16:42 +010038./setup.sh
39./ncmp/run-all-tests.sh
40NCMP_RESULT=$?
41
42# Note that the final steps are done in on_exit function after this exit!
43exit $NCMP_RESULT